Name: pre-join-check
Version: 1.2
Release: alt1
License: %lgpl3plus
Group: System/Configuration/Other
Source: %name-%version.tgz
BuildArch: noarch
Packager: Anton Shevtsov <shevtsov.anton@gmail.com>
Summary: Precheck existing MSAD DC for Samba join
Url: altrepo.ru

BuildRequires: rpm-build-licenses

Requires: perl
Requires: perl-ldap
Requires: perl-Net-Ping
Requires: perl-Net-DNS
Requires: perl-Term-ANSIColor
Requires: perl-Config-INI

%description -l ru_RU
Скрипт проверяет КД MSAD на готовность к включению в него КД SAMBA.
Проверяется
1. Доступность всех КД
2. Наличие служебной _msdcs зоны
3. Наличие "проблемных" записей

%prep
%setup

%install
%makeinstall_std

%files
/usr/bin/%name
/etc/%{name}.conf

%changelog
* Wed Dec 18 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 1.2-alt1
- Add protocol for PING

* Thu Dec 12 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1-alt2
- Add config file

* Wed Dec 11 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 1.0-alt1
- First build for ALT